Subject: PowerPC future ..... and b16 link issues
From: [email-masked] (Michael Caisse)

26 Jan 1997 18:46:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

I wasn't able to find info in the FAQ or release
notes....

Is PowerPC going to still be supported? (b17.1?)

I'm currently running b16 and having some difficulty
with the g++ compiler/linker.  If I link anything from
iostreams I get the following:

(foo.exe 1000) In cygwin_except_handler
(foo.exe 1000) Exception trapped!
(foo.exe 1000) exception 0xC0000005 at 0x004074a0
(foo.exe 1000)  r0: 0x00403c38  sp: 0x0012e778 toc: 0x0042b0dc  r3: 0x0041e550
(foo.exe 1000)  r4: 0x0000007a  r5: 0x0012e0b8  r6: 0x0094007c  r7: 0x77f7cdf4
(foo.exe 1000)  r8: 0x00000000  r9: 0x0041e550 r10: 0x00000002 r11: 0x00000000
(foo.exe 1000) r12: 0x00000000 r13: 0x7ffde000 r14: 0x00000000 r15: 0x00000000
(foo.exe 1000) r16: 0x00000000 r17: 0x00000000 r18: 0x00424008 r19: 0x1004b000
(foo.exe 1000) r20: 0x00142be8 r21: 0x1004b3e4 r22: 0x00000032 r23: 0x000000c4
(foo.exe 1000) r24: 0x0012e8c8 r25: 0x00000032 r26: 0x0012f0e5 r27: 0x0012ebc0
(foo.exe 1000) r28: 0x1004b3e4 r29: 0x00c6086c r30: 0x0000007a r31: 0x0012e778
(foo.exe 1000)  cr: 0x2200022f xer: 0x00000000  lr: 0x00403c38 ctr: 0x00000000
(foo.exe 1000) exception is: STATUS_ACCESS_VIOLATION
(foo.exe 1000) Stack trace:
(foo.exe 1000) frame 0: sp = 0x0012e078, pc = 0x10003df8
(foo.exe 1000) frame 1: sp = 0x0012e0c8, pc = 0x77f54e5c
(foo.exe 1000) frame 2: sp = 0x0012e110, pc = 0x77f63564
(foo.exe 1000) frame 3: sp = 0x0012e430, pc = 0x0012e778
(foo.exe 1000) frame 4: sp = 0x0012e778, pc = 0x0012e8c8
(foo.exe 1000) frame 5: sp = 0x0012e7c8, pc = 0x00403c38
(foo.exe 1000) frame 6: sp = 0x0012e818, pc = 0x00401178
(foo.exe 1000) frame 7: sp = 0x0012e888, pc = 0x100024e8
(foo.exe 1000) frame 8: sp = 0x0012fe88, pc = 0x10002504
(foo.exe 1000) frame 9: sp = 0x0012fec8, pc = 0x0041cdf0
(foo.exe 1000) frame 10: sp = 0x0012ff38, pc = 0x00401010
(foo.exe 1000) frame 11: sp = 0x0012ff78, pc = 0x77ec31a0
(foo.exe 1000) frame 12: sp = 0x0012ffc8, pc = 0x00000000
(foo.exe 1000) End of stack trace

I'm clueless.......

Any help or suggestions would be appreciated.

michael caisse
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".